| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
OBDeviceTemperature Struct Reference

Get the temperature parameters of the device (unit: Celsius) More...

`#include <ObTypes.h>`

## Public Attributes
float | cpuTemp
| CPU temperature. More...
float | irTemp
| IR temperature. More...
float | ldmTemp
| laser temperature More...
float | mainBoardTemp
| motherboard temperature More...
float | tecTemp
| TEC temperature. More...
float | imuTemp
| IMU temperature. More...
float | rgbTemp
| RGB temperature. More...
float | irLeftTemp
| if English Left IR temperature左IR温度 More...
float | irRightTemp
| if English Right IR temperature右IR温度 More...
float | chipTopTemp
| if English MX6600 top temperatureMX6600 top 温度 More...
float | chipBottomTemp
| if English MX6600 bottom temperatureMX6600 bottom 温度 More...

## Detailed Description

Get the temperature parameters of the device (unit: Celsius)

Definition at line 633 of file ObTypes.h.

## Member Data Documentation

float OBDeviceTemperature::cpuTemp

CPU temperature.

Definition at line 634 of file ObTypes.h.

float OBDeviceTemperature::irTemp

IR temperature.

Definition at line 635 of file ObTypes.h.

float OBDeviceTemperature::ldmTemp

laser temperature

Definition at line 636 of file ObTypes.h.

float OBDeviceTemperature::mainBoardTemp

motherboard temperature

Definition at line 637 of file ObTypes.h.

float OBDeviceTemperature::tecTemp

TEC temperature.

Definition at line 638 of file ObTypes.h.

float OBDeviceTemperature::imuTemp

IMU temperature.

Definition at line 639 of file ObTypes.h.

float OBDeviceTemperature::rgbTemp

RGB temperature.

Definition at line 640 of file ObTypes.h.

float OBDeviceTemperature::irLeftTemp

if English Left IR temperature左IR温度

Definition at line 641 of file ObTypes.h.

float OBDeviceTemperature::irRightTemp

if English Right IR temperature右IR温度

Definition at line 642 of file ObTypes.h.

float OBDeviceTemperature::chipTopTemp

if English MX6600 top temperatureMX6600 top 温度

Definition at line 643 of file ObTypes.h.

float OBDeviceTemperature::chipBottomTemp

if English MX6600 bottom temperatureMX6600 bottom 温度

Definition at line 644 of file ObTypes.h.

The documentation for this struct was generated from the following file:

- /root/libobsensor/include/libobsensor/h/ObTypes.h